Perform adhoc Restricted Party Screening
post
/custom-actions/adhocRPS
Request
There are no request parameters for this operation.
Supported Media Types
- application/json
Root Schema : schema
Type:
Show Source
object-
gtmServicePreferenceId: string
The gtmServicePreferenceId to which the restricted party screening should occur.
-
party: object
party
-
restrictedPartyListRequired: string
If this is set to true, then the response will return top 5 matching restricted parties if present in the response.
Nested Schema : party
Type:
Show Source
object-
addressLine1: string
Primary address line of the party.
-
addressLine2: string
Secondary address line (optional).
-
addressLine3: string
Tertiary address line (optional).
-
city: string
City where the party is located.
-
companyName: string
Name of the company associated with the party.
-
country: string
Country of the party's address.
-
firstName: string
First name of the party or individual.
-
lastName: string
Last name of the party or individual.
-
postalCode: string
Postal or ZIP code of the party's address.
-
province: string
State or province where the party is located.
Response
Supported Media Types
- application/json
200 Response
Success! A successful POST method returns a 200 status code.
Root Schema : adhocRPSResponse
Type:
objectThe response body contains the request body in the response along with status parameter along with list of restricted parties (at most 5 with highest match factor).
Show Source
-
adhocRPSRequest:
schema
-
restrictedPartyList: array
restrictedPartyList
List of 5 restricted parties with relevant details.
-
status: string
The response status indicating whether party details has any matching denied parties. If no match has been found then fail and if it is found then pass.
Nested Schema : schema
Type:
Show Source
object-
gtmServicePreferenceId: string
The gtmServicePreferenceId to which the restricted party screening should occur.
-
party: object
party
-
restrictedPartyListRequired: string
If this is set to true, then the response will return top 5 matching restricted parties if present in the response.
Nested Schema : restrictedPartyList
Type:
arrayList of 5 restricted parties with relevant details.
Show Source
Nested Schema : party
Type:
Show Source
object-
addressLine1: string
Primary address line of the party.
-
addressLine2: string
Secondary address line (optional).
-
addressLine3: string
Tertiary address line (optional).
-
city: string
City where the party is located.
-
companyName: string
Name of the company associated with the party.
-
country: string
Country of the party's address.
-
firstName: string
First name of the party or individual.
-
lastName: string
Last name of the party or individual.
-
postalCode: string
Postal or ZIP code of the party's address.
-
province: string
State or province where the party is located.
Nested Schema : items
Type:
Show Source
object-
addressLine1: string
Primary address line of the restricted party.
-
addressLine2: string
Secondary address line of the restricted party (if applicable).
-
addressLine3: string
Tertiary address line of the restricted party (if applicable).
-
agencyCode: string
Code representing the agency that issued the restriction.
-
city: string
City where the restricted party is located.
-
companyName: string
Company name associated with the restricted party.
-
country: string
Country where the restricted party is located.
-
effectiveDate: string
(date)
Date when the restriction became effective (YYYY-MM-DD).
-
entryId: string
Entry ID associated with the restricted party listing.
-
expirationDate: string
(date)
Date when the restriction expires (YYYY-MM-DD).
-
firstName: string
First name of the restricted party individual.
-
gtmDeniedPartyGid: string
Unique identifier for the GTM denied party.
-
lastName: string
Last name of the restricted party individual.
-
matchPer: string
Match percentage indicating the percentage of matching of the restricted party with party details.
-
postalCode: string
Postal or ZIP code of the restricted party's address.
-
province: string
Province or state of the restricted party.
400 Response
Your request couldn't be processed because it contains missing or invalid information, such as a validation error on an input field, a missing required value, and so forth.
Root Schema : errorResponse
Type:
Show Source
object-
detail(required): string
Provides more information about the error.
-
status(required): number
HTTP status code.
-
title(required): string
Provides a short summary message.
429 Response
Indicates that the client has sent too many requests to the server at any given point of time. The maximum number of allowed concurrent requests is a configurable property.
Root Schema : errorResponse
Type:
Show Source
object-
detail(required): string
Provides more information about the error.
-
status(required): number
HTTP status code.
-
title(required): string
Provides a short summary message.
500 Response
The server encountered something unexpected that prevented it from completing the request.
Root Schema : errorResponse
Type:
Show Source
object-
detail(required): string
Provides more information about the error.
-
status(required): number
HTTP status code.
-
title(required): string
Provides a short summary message.